gsm48_imm_ass Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | l2_plen
uint8_t | proto_discr
uint8_t | msg_type
uint8_t | page_mode
struct gsm48_chan_desc | chan_desc
struct gsm48_req_ref | req_ref
uint8_t | timing_advance
uint8_t | mob_alloc_len
uint8_t | mob_alloc [0]

## Field Documentation

## chan_desc

struct gsm48_chan_desc gsm48_imm_ass::chan_desc

## l2_plen

uint8_t gsm48_imm_ass::l2_plen

## mob_alloc

uint8_t gsm48_imm_ass::mob_alloc[0]

## mob_alloc_len

uint8_t gsm48_imm_ass::mob_alloc_len

## msg_type

uint8_t gsm48_imm_ass::msg_type

## page_mode

uint8_t gsm48_imm_ass::page_mode

## proto_discr

uint8_t gsm48_imm_ass::proto_discr

## req_ref

struct gsm48_req_ref gsm48_imm_ass::req_ref

## timing_advance

uint8_t gsm48_imm_ass::timing_advance

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h